osgDB::MethodObject Struct Referenceabstract

`#include <ObjectWrapper>`

Inheritance diagram for osgDB::MethodObject:

## Public Types

typedef std::vector< osg::ref_ptr< osg::Object > > | Parameters

## Public Member Functions

virtual bool | run (void *objectPtr, osg::Parameters &inputParameters, osg::Parameters &outputParameters) const =0
virtual | ~MethodObject ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## Parameters

typedef std::vector< osg::ref_ptr<osg::Object> > osgDB::MethodObject::Parameters

## Constructor & Destructor Documentation

## ~MethodObject()

virtual osgDB::MethodObject::~MethodObject | ( |  | ) |

inline virtual

## Member Function Documentation

## run()

virtual bool osgDB::MethodObject::run | ( | void * | objectPtr,
|  | osg::Parameters & | inputParameters,
|  | osg::Parameters & | outputParameters ) const

pure virtual

The documentation for this struct was generated from the following file:

- ObjectWrapper